# PetscMapGetLocalRange

Gets the local ownership range for this procesor.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapGetLocalRange(PetscMap m,PetscInt *rstart,PetscInt *rend)

Not Collective

### Input Parameter

m -the map object

### Output Parameter

| rstart | - the first local index, pass in PETSC_NULL if not interested
| rend | - the last local index + 1, pass in PETSC_NULL if not interested

### See Also

PetscMapGetLocalSize(), PetscMapGetGlobalRange()

Level:developer
Location:src/vec/interface/map.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages